On this page
No Headings
Deprecation notice: TheUpdates a template, by ID. In the JSON request body, specify a complete `template` object. The update method does not support partial updates./v1/invoicesendpoint is deprecated. Use the/v2/invoicesendpoint instead. For details, see PayPal Invoicing Basic Integration.
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/invoicingThe ID of the template to update.
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
curl -X PUT "https://api-m.paypal.com/v1/invoicing/v1/invoicing/templates/string" \ -H "Content-Type: application/json" \ -d '{}'{
"template_id": "string",
"name": "string",
"default": true,
"template_data": {
"merchant_info": {
"email": "[email protected]",
"business_name": "string",
"first_name": "string",
"last_name": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"country_code": "string",
"postal_code": "string",
"state": "string",
"phone": "string"
},
"phone": {
"country_code": "str",
"national_number": "string"
},
"fax": {
"country_code": "str",
"national_number": "string"
},
"website": "http://example.com",
"tax_id": "string",
"additional_info": "string"
},
"billing_info": [
{
"email": "[email protected]",
"phone": {
"country_code": "str",
"national_number": "string"
},
"first_name": "string",
"last_name": "string",
"business_name": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"country_code": "string",
"postal_code": "string",
"state": "string",
"phone": "string"
},
"language": "da_DK",
"additional_info": "string"
}
],
"shipping_info": {
"first_name": "string",
"last_name": "string",
"business_name": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"country_code": "string",
"postal_code": "string",
"state": "string",
"phone": "string"
}
},
"cc_info": [
"[email protected]"
],
"items": [
{
"name": "string",
"description": "string",
"quantity": 0,
"unit_price": {
"currency": "string",
"value": "string"
},
"tax": {
"name": "string",
"percent": 0,
"amount": {
"currency": "string",
"value": "string"
},
"tax_note": "string"
},
"date": "2019-08-24",
"discount": {
"percent": 0,
"amount": {
"currency": "string",
"value": "string"
}
},
"unit_of_measure": "QUANTITY"
}
],
"payment_term": {
"term_type": "DUE_ON_RECEIPT",
"due_date": "2019-08-24"
},
"reference": "string",
"discount": {
"percent": 0,
"amount": {
"currency": "string",
"value": "string"
}
},
"shipping_cost": {
"amount": {
"currency": "string",
"value": "string"
},
"tax": {
"name": "string",
"percent": 0,
"amount": {
"currency": "string",
"value": "string"
},
"tax_note": "string"
}
},
"custom": {
"label": "string",
"amount": {
"currency": "string",
"value": "string"
}
},
"allow_partial_payment": false,
"minimum_amount_due": {
"currency": "string",
"value": "string"
},
"tax_calculated_after_discount": false,
"tax_inclusive": false,
"terms": "string",
"note": "string",
"merchant_memo": "string",
"logo_url": "http://example.com",
"total_amount": {
"currency": "string",
"value": "string"
},
"attachments": [
{
"name": "string",
"url": "http://example.com"
}
]
},
"settings": [
{
"field_name": "items.quantity",
"display_preference": {
"hidden": false
}
}
],
"unit_of_measure": "HOURS",
"custom": true,
"links": [
{
"href": "string",
"rel": "string",
"method": "GET",
"title": "string",
"mediaType": "string",
"encType": "application/json",
"schema": {
"additionalItems": {},
"dependencies": {},
"items": {},
"patternProperties": {},
"properties": {},
"allOf": [
{}
],
"anyOf": [
{}
],
"oneOf": [
{}
],
"not": {},
"links": [
{}
],
"fragmentResolution": "string",
"media": {
"type": "string",
"binaryEncoding": "string"
},
"pathStart": "http://example.com"
},
"targetSchema": {
"additionalItems": {},
"dependencies": {},
"items": {},
"patternProperties": {},
"properties": {},
"allOf": [
{}
],
"anyOf": [
{}
],
"oneOf": [
{}
],
"not": {},
"links": [
{}
],
"fragmentResolution": "string",
"media": {
"type": "string",
"binaryEncoding": "string"
},
"pathStart": "http://example.com"
}
}
]
}{
"name": "string",
"debug_id": "string",
"message": "string",
"information_link": "string",
"details": [
{
"field": "string",
"issue": "string"
}
]
}The template name.Note: The template name must be unique.
Indicates whether this template is the default merchant template. A merchant can have one default template.
The template data.
An array of template settings that describe which fields to show or hide when creating an invoice.
The unit of measure for the template.
"HOURS" | "QUANTITY" | "AMOUNT"